/* mixins */
/* variables */
* {
  box-sizing: border-box;
}

h1, p {
  color: white;
  font-weight: 100;
}

h1 {
  line-height: 1.2em;
}

body {
  -webkit-animation: bugfix infinite 1s;
          animation: bugfix infinite 1s;
  background: #eeeeee;;
  font-family: 'Raleway', sans-serif;
  font-weight: 100;
  line-height: 1.5rem;
  position: relative;
}

@-webkit-keyframes bugfix {
  from {
    padding: 0;
  }
  to {
    padding: 0;
  }
}
.page-wrap {
  height: auto;
  margin: 0 auto;
  overflow: hidden;
  position: relative;
  width: 100%;
  min-width: 300px;
}
@media (min-width: 1026px) {
  .page-wrap {
    padding-bottom: 0px;
  }
}
@media (min-width: 1026px) {
  .page-wrap::before {
    content: "";
    height: 100%;
    position: absolute;
    top: 149px;
    right: auto;
    bottom: auto;
    left: 0;
    width: 100%;
    z-index: -1;
  }
}
.page-wrap::after {
  clear: both;
  content: "";
  display: table;
}

.page-wrap-inner {
  float: left;
  width: 100%;
  margin-left: 0;
  transition: all 0.55s ease-in-out 0s;
}
.page-wrap-inner::after {
  clear: both;
  content: "";
  display: table;
}



/* main nav */


.menu-global {
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  border-top: 2px solid #000000;
  left: 0;
  position: absolute;
  transition: all 0.15s linear;
  width: 96%;
}

.menu-top {
  top: 0px;
}

.menu-middle {
  top: 12px;
}

.menu-bottom {
  top: 24px;
}

.menu-top-click {
  top: 19px;
  -webkit-transform: rotate(48deg);
          transform: rotate(48deg);
}

.menu-middle-click {
  opacity: 0;
}

.menu-bottom-click {
  top: 19px;
  -webkit-transform: rotate(-48deg);
          transform: rotate(-48deg);
}

/* gets rid of the browser-created checkbox */
#toggle {
  position: absolute;
  left: -4000px;
}

/* styles the nav position */
.main-nav-container {
  background: pink;
  height: 100%;
  overflow: auto;
  right: -75%;
  padding: 0;
  position: fixed;
  width: 75%;
  transition: all 0.55s ease-in-out 0s;

}
@media (min-width: 760px) {
  .main-nav-container {
    float: left;
    position: static;
    background: transparent;
    padding: 0;
    height: auto;
    transition: all 0.55s ease-in-out 0s;
  }
}

/* styles the nav */
.main-nav {
  margin: 0%;
  padding: 0%;
}
@media (min-width: 760px) {
  .main-nav {
    border: 0;
    margin-left: -380px;
    position: absolute;
    top: 70px;
    right: auto;
    bottom: auto;
    left: 50%;
    z-index: 100;
  }
}
@media (min-width: 1026px) {
  .main-nav {
    margin-left: -460px;
  }
}

.main-nav li {
  border-bottom: 1px solid #484848;
  display: block;
  font-size: 1.5rem;
  height: auto;
  letter-spacing: 0.1rem;
  list-style: none;
  padding-left: 40px;
  text-align: left;
  text-transform: capitalize;
}
@media (min-width: 760px) {
  .main-nav li {
    border: none;
    color: pink;
    display: inline-block;
    padding: 0 10px;
  }
}
.main-nav li:last-child {
  border: none;
}

.main-nav li a {
  background: pink;
  color: #353535;
  display: block;
  font-size: 1.4rem;
  font-weight: 500;
  padding: 15px 0;
  text-decoration: none;
}
@media (min-width: 760px) {
  .main-nav li a {
    background: none;
    color: pink;
    display: inline-block;
    font-size: 0.8rem;
    font-weight: 100;
    padding: 0;
    margin-left: -40px;
	padding-left: 40px;
	  
    transition: all 0.55s ease-in-out 0s;
  }
}
.main-nav li a:hover {
  background: plum;
  margin-left: -40px;
	padding-left: 40px;
}
@media (min-width: 760px) {
  .main-nav li a:hover {
    background: none;
    color: white;
  }
}

/* when the menu is clicked / checkbox checked */
:checked ~ .main-nav-container {
  right: 0;
}
@media (min-width: 760px) {
  :checked ~ .main-nav-container {
    background: transparent;
    height: auto;
    float: right;
    padding: 0;
    position: static;
    width: 100%;
    transition: all 0.55s ease-in-out 0s;
  }
}

:checked ~ .page-wrap .page-wrap-inner {
  position: fixed;
  -webkit-transform: translateX(-75%);
          transform: translateX(-75%);
}
@media (min-width: 760px) {
  :checked ~ .page-wrap .page-wrap-inner {
    margin-left: 0%;
    position: static;
    transition: all 0.55s ease-in-out 0s;
  }
}

.content {
  height: auto;
  padding: 10px 15px;
  width: 100%;
}
@media (min-width: 760px) {
  .content {
    margin: 0 auto;
    width: 760px;
  }
}
@media (min-width: 1026px) {
  .content {
    margin: 0 auto;
    width: 940px;
  }
}
.content::after {
  clear: both;
  content: "";
  display: table;
}
